    PROGRAM a02acfe

!      A02ACF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : a02acf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: xi, xr, yi, yr, zi, zr
!      .. Executable Statements ..
       WRITE (nout,*) 'A02ACF Example Program Results'

!      Skip heading in data file
       READ (nin,*)

       READ (nin,*) xr, xi, yr, yi

!      Compute (XR,XI)/(YR,YI) = (ZR,ZI)

       CALL a02acf(xr,xi,yr,yi,zr,zi)

       WRITE (nout,*)
       WRITE (nout,*) '   XR    XI    YR    YI      ZR       ZI'
       WRITE (nout,99999) xr, xi, yr, yi, zr, zi

99999  FORMAT (1X,4F6.1,2F9.4)
    END PROGRAM a02acfe
